using System.ComponentModel;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    /// <summary>
    ///  机械臂521
    /// </summary>
    [Description("机械臂521")]
    public interface IRobot521 : IProtocol
    {
        #region 工位一

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        public int TaskNumber1 { get; set; }

        /// <summary>
        ///  任务起始行
        /// </summary>
        [Description("任务起始行")]
        public short SLine1 { get; set; }

        /// <summary>
        ///  任务起始列
        /// </summary>
        [Description("任务起始列")]
        public short SCol1 { get; set; }

        /// <summary>
        ///  任务起始层
        /// </summary>
        [Description("任务起始层")]
        public short SLayer1 { get; set; }

        /// <summary>
        ///  任务起始深度
        /// </summary>
        [Description("任务起始深度")]
        public short SDepth1 { get; set; }

        /// <summary>
        ///  任务目标行
        /// </summary>
        [Description("任务目标行")]
        public short ELine1 { get; set; }

        /// <summary>
        ///  任务目标列
        /// </summary>
        [Description("任务目标列")]
        public short ECol1 { get; set; }

        /// <summary>
        ///  任务目标层
        /// </summary>
        [Description("任务目标层")]
        public short ELayer1 { get; set; }

        /// <summary>
        ///  任务目标深度
        /// </summary>
        [Description("任务目标深度")]
        public short EDepth1 { get; set; }

        /// <summary>
        ///  完成任务号
        /// </summary>
        [Description("完成任务号")]
        public int TaskFinishId1 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res1 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res2 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res3 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res4 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res5 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public int Res6 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public int Res7 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public int Res8 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public int Res9 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res10 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public int Res11 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public int Res12 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res13 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res14 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res15 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res16 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res17 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public RobotState State1 { get; set; }

        #endregion 工位一

        #region 工位二

        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        public int TaskNumber2 { get; set; }

        /// <summary>
        ///  任务起始行
        /// </summary>
        [Description("任务起始行")]
        public short SLine2 { get; set; }

        /// <summary>
        ///  任务起始列
        /// </summary>
        [Description("任务起始列")]
        public short SCol2 { get; set; }

        /// <summary>
        ///  任务起始层
        /// </summary>
        [Description("任务起始层")]
        public short SLayer2 { get; set; }

        /// <summary>
        ///  任务起始深度
        /// </summary>
        [Description("任务起始深度")]
        public short SDepth2 { get; set; }

        /// <summary>
        ///  任务目标行
        /// </summary>
        [Description("任务目标行")]
        public short ELine2 { get; set; }

        /// <summary>
        ///  任务目标列
        /// </summary>
        [Description("任务目标列")]
        public short ECol2 { get; set; }

        /// <summary>
        ///  任务目标层
        /// </summary>
        [Description("任务目标层")]
        public short ELayer2 { get; set; }

        /// <summary>
        ///  任务目标深度
        /// </summary>
        [Description("任务目标深度")]
        public short EDepth2 { get; set; }

        /// <summary>
        ///  完成任务号
        /// </summary>
        [Description("完成任务号")]
        public int TaskFinishId2 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res18 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res19 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res20 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res21 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res22 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public int Res23 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public int Res24 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public int Res25 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public int Res26 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res27 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public int Res28 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public int Res29 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public int Res30 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res31 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res32 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res33 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public RobotState State2 { get; set; }

        #endregion 工位二

        #region 公共

        /// <summary>
        ///  堆垛机模式
        /// </summary>
        [Description("堆垛机模式")]
        public RobotMode RobotMode { get; set; }

        /// <summary>
        ///  运行状态
        /// </summary>
        [Description("运行状态")]
        public RobotRunStatus RunStatus { get; set; }

        /// <summary>
        ///  总共里数
        /// </summary>
        [Description("总共里数")]
        public float TotalKm { get; set; }

        /// <summary>
        ///  运行时间(Real)(单位：小时,带小数)
        /// </summary>
        [Description("运行时间(Real)(单位：小时,带小数)")]
        public float Runtime { get; set; }

        /// <summary>
        ///  堆垛机是否报警 1:报警中;0:默认;
        /// </summary>
        [Description("堆垛机是否报警 1:报警中;0:默认;")]
        public short Alarm { get; set; }

        /// <summary>
        ///  凭证号
        /// </summary>
        [Description("凭证号")]
        public int VoucherNo { get; set; }

        /// <summary>
        ///  货物类型
        /// </summary>
        [Description("货物类型")]
        public short GoodsType { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res34 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res35 { get; set; }

        /// <summary>
        ///  备用
        /// </summary>
        [Description("备用")]
        public short Res36 { get; set; }

        #endregion 公共
    }
}
